Subject: Re: [Bitcoin-development] Payment Protocol: BIP 70, 71, 72

From: Mike Hearn <[email-masked]>
Date: Wed, 7 Aug 2013 23:44:29 +0200

> My concerns here are:
> * Making sure wallet applications can function without supporting the
> P2P protocol (which drops a huge implementation overhead for simple -
> perhaps hardware-based - wallets)

How would such wallets get transactions into their wallet in the first
place?

The P2P protocol is really the simplest part of implementing a wallet, IMO.

I don't really have a strong opinion either way, but doing more work to
prevent transactions being announced to the network feels weird.